| TagLib 1.13 |  |

Public Types | Public Member Functions | List of all members
TagLib::MP4::Properties Class Reference

An implementation of MP4 audio properties. More...

`#include <mp4properties.h>`

Inheritance diagram for TagLib::MP4::Properties:
[legend]
Collaboration diagram for TagLib::MP4::Properties:
[legend]

## Public Types
enum | Codec { Unknown = 0 , AAC , ALAC }
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }

## Public Member Functions
| Properties (File *file, Atoms *atoms, ReadStyle style=Average)
virtual | ~Properties ()
virtual TAGLIB_DEPRECATED int | length () const
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const
virtual int | sampleRate () const
virtual int | channels () const
virtual int | bitsPerSample () const
bool | isEncrypted () const
Codec | codec () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
virtual int | length () const =0
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const =0
virtual int | sampleRate () const =0
virtual int | channels () const =0

## Additional Inherited Members
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of MP4 audio properties.

## Member Enumeration Documentation

## ◆ Codec

enum TagLib::MP4::Properties::Codec

Enumerator
Unknown |
AAC |
ALAC |

## Constructor & Destructor Documentation

## ◆ Properties()

TagLib::MP4::Properties::Properties | ( | File * | file,
|  | Atoms * | atoms,
|  | ReadStyle | style = `Average`
| ) |  |

## ◆ ~Properties()

virtual TagLib::MP4::Properties::~Properties | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ bitrate()

virtual int TagLib::MP4::Properties::bitrate | ( |  | ) | const
| virtual

Returns the average bit rate of the file in kb/s.

Implements TagLib::AudioProperties.

## ◆ bitsPerSample()

virtual int TagLib::MP4::Properties::bitsPerSample | ( |  | ) | const
| virtual

Returns the number of bits per audio sample.

## ◆ channels()

virtual int TagLib::MP4::Properties::channels | ( |  | ) | const
| virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## ◆ codec()

Codec TagLib::MP4::Properties::codec | ( |  | ) | const

Returns the codec used in the file.

## ◆ isEncrypted()

bool TagLib::MP4::Properties::isEncrypted | ( |  | ) | const

Returns whether or not the file is encrypted.

## ◆ length()

virtual TAGLIB_DEPRECATED int TagLib::MP4::Properties::length | ( |  | ) | const
| virtual

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

Note
  This method is just an alias of lengthInSeconds().

Deprecated:
  Use lengthInSeconds().

Implements TagLib::AudioProperties.

## ◆ lengthInMilliseconds()

int TagLib::MP4::Properties::lengthInMilliseconds | ( |  | ) | const

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

## ◆ lengthInSeconds()

int TagLib::MP4::Properties::lengthInSeconds | ( |  | ) | const

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

See also
  lengthInMilliseconds()

## ◆ sampleRate()

virtual int TagLib::MP4::Properties::sampleRate | ( |  | ) | const
| virtual

Returns the sample rate in Hz.

Implements TagLib::AudioProperties.

The documentation for this class was generated from the following file:

- mp4properties.h